Package org.apache.sysds.runtime.instructions.spark.data

## Class BroadcastObject<T extends CacheBlock>

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.data.LineageObject
  - - org.apache.sysds.runtime.instructions.spark.data.BroadcastObject<T>

-     public class BroadcastObject<T extends CacheBlock>
      extends LineageObject

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BroadcastObject()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.spark.broadcast.Broadcast<T>` | `getNonPartitionedBroadcast()` |
    `PartitionedBroadcast` | `getPartitionedBroadcast()` |
    `long` | `getSize()` |
    `boolean` | `isNonPartitionedBroadcastValid()` |
    `boolean` | `isPartitionedBroadcastValid()` |
    `void` | `setNonPartitionedBroadcast​(org.apache.spark.broadcast.Broadcast<T> bvar, long size)` |
    `void` | `setPartitionedBroadcast​(PartitionedBroadcast<T> bvar, long size)` |

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.spark.data.LineageObject

      `addLineageChild, decrementNumReferences, getLineageChilds, getNumReferences, hasBackReference, incrementNumReferences, setBackReference`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BroadcastObject

          public BroadcastObject()

  - ### Method Detail

    - #### setNonPartitionedBroadcast

          public void setNonPartitionedBroadcast​(org.apache.spark.broadcast.Broadcast<T> bvar,
                                                 long size)

    - #### setPartitionedBroadcast

          public void setPartitionedBroadcast​(PartitionedBroadcast<T> bvar,
                                              long size)

    - #### getPartitionedBroadcast

          public PartitionedBroadcast getPartitionedBroadcast()

    - #### getNonPartitionedBroadcast

          public org.apache.spark.broadcast.Broadcast<T> getNonPartitionedBroadcast()

    - #### getSize

          public long getSize()

    - #### isPartitionedBroadcastValid

          public boolean isPartitionedBroadcastValid()

    - #### isNonPartitionedBroadcastValid

          public boolean isNonPartitionedBroadcastValid()